<?php

include("../scripts/connect.php");
   $conexion=conecta_default();
include_once("../scripts/session.php");
   //Validar Session

    $sesion=new Sesion("","","");/*Se crea un objeto nuevo con el privilegio necesario para la pag. actual*/

    if(!$sesion->isValida("4")){ /*Sesion invalida*/

	 header("Location: ../index.php?err=NoSesion");

    }/*no hay sesion*/

    else{

       $dato=explode("|",$_SESSION['usuario']);
       $sesion->setDatos($dato[0],$dato[1],$dato[2]);
       $sesion->setSesion();

    }
    //fin validar session

   $id_cd=$sesion->id;
$totreg=0;
	 extract($_POST);
$seguir=1;
	 echo"<center><font size=\"5\"><b>Unir Voucher</b><br><br></font><font color=\"red\">Esta Seccion solo permite unir regalias por pagar a un Voucher existente</font>
	";

	if($lista2!="Continuar"){



echo"<form name=\"Agrega2\" action=\"unir_boucher.php\" method=\"post\">

<table cellpadding=\"5\" cellspacing=\"5\">

								<tr><td>Voucher a Modificar</td><td><input type=\"text\" name=\"idv\" value=\"\"></td>

								</tr>

								<tr><td>ID de regalia a agregar</td><td><input type=\"text\" name=\"idreg\" value=\"\"></td>

								

								</tr></table>



<input type=\"submit\" name=\"lista2\"  value=\"Continuar\" /></form>

";}

else {

	

	

	if($idv!=null && $idreg!=null){
		
		  $qDG1="SELECT total, restante, rfc, nombre, appat, apmat from voucher join inversionista on inversionista.id_inver=voucher.id_inv where idv=$idv and status=0";
              $cDG1 = mysql_query($qDG1) or die ('Error (Obtencion DG.): ' . mysql_error());
              while($rDG1 = mysql_fetch_row($cDG1))
               {
                $a0 = $rDG1[0];
				$a1 = $rDG1[1];
				$a2 = $rDG1[2];
				$a3 = $rDG1[3];
				$a4 = $rDG1[4];
				$a5 = $rDG1[5];
$nombredist=$a3." ".$a4." ".$a5;
               }; 
     if(mysql_affected_rows())
{
echo"<br><br><font size=\"+2\"><b>Voucher Encontrado:</b></font><br><br>

Voucher No.: <b>$idv</b>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Cantidad Inicial: <b>$ $a0</b>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Restante: <b>$ $a1</b><br><br>

Asignado a : <b> $a3 $a4 $a5</b><br><br>";}else{echo"<br><br><font size=\"+2\"><b>Voucher NO Encontrado:</b></font><br>Revisa bien el numero del voucher y vuelve a intentar<br>";$seguir=0;}

	  $qDG="SELECT apagar, fechap, rfc, nombre, appat, apmat from regs2 join inversionista on inversionista.id_inver=regs2.id_inver where idreg=$idreg and status=0";
              $cDG = mysql_query($qDG) or die ('Error (Obtencion DG.): ' . mysql_error());
              while($rDG = mysql_fetch_row($cDG))
               {
                $aa0 = $rDG[0];
				$aa1 = $rDG[1];
				$aa2 = $rDG[2];
				$aa3 = $rDG[3];
				$aa4 = $rDG[4];
				$aa5 = $rDG[5];

               }; 
 if(mysql_affected_rows())
{
echo"<br><br><font size=\"+2\"><b>Regalia Encontrada:</b></font><br><br>

ID Regalia: <b>$idreg</b>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Cantidad: <b>$aa0</b>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Fecha Generada: <b>$aa1</b><br><br>

Asignada a : <b> $aa3 $aa4 $aa5</b><br><br>";}else{echo"<br><br><font size=\"+2\"><b>Regalia NO Encontrada:</b></font><br>Revisa bien el ID de regalia y vuelve a intentar<br>";$seguir=0;}
$totreg=$aa0;

if($seguir==1){
$resto=$a1+$aa0;
echo"
<br>***Al Aceptar, el voucher <b>$idv</b> quedar&aacute; por una cantidad de $ <b>$resto</b><br>
Y la regalia No. $idreg quedar&aacute; como pagada en sistema***<br><form name=\"Agrega3\" action=\"unir_voucher2.php\" method=\"post\">

<input type=hidden name=voucher value=\"$idv\" />
<input type=hidden name=restante value=\"$resto\" />
<input type=hidden name=idregalia value=\"$idreg\" />
<input type=hidden name=ndist value=\"$nombredist\" />
<input type=hidden name=lareg value=\"$totreg\" />
<input type=\"submit\" name=\"lista2\"  value=\"Aceptar y Agregar regalia a voucher\" /></form>

";}	
}

else { echo"<br><BR>Existe un Error en la Captura<br>Favor de Intentar nuevamente";

}



}

?>